Skip to content

updateSalesReturnOrder

WRITE

Update sales return order.

POST /api/v1/sales/updateSalesReturnOrder
curl -X POST '<your-host>/api/v1/sales/updateSalesReturnOrder' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "customerId": "string",
    "orderDate": "string",
    "id": "string"
  }'
Response
{
  "id": "string"
}

Parameters

ParameterType
min length 1
min length 1

Input schema

schema
{
  "type": "object",
  "properties": {
    "customerId": {
      "type": "string",
      "minLength": 1
    },
    "customerLocationId": {
      "type": "string"
    },
    "customerContactId": {
      "type": "string"
    },
    "customerReference": {
      "type": "string"
    },
    "locationId": {
      "type": "string"
    },
    "salesOrderId": {
      "type": "string"
    },
    "currencyCode": {
      "type": "string"
    },
    "exchangeRate": {
      "type": "number"
    },
    "orderDate": {
      "type": "string",
      "minLength": 1
    },
    "expirationDate": {
      "type": "string"
    },
    "assignee": {
      "type": "string"
    },
    "id": {
      "type": "string"
    },
    "customFields": {}
  },
  "required": [
    "customerId",
    "orderDate",
    "id"
  ]
}